package com.izouma.awesomeadmin.service.impl;

import java.util.*;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.izouma.awesomeadmin.constant.AppConstant;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.WxpayTemp;
import com.izouma.awesomeadmin.service.WxpayTempService;
import com.izouma.awesomeadmin.dao.WxpayTempMapper;

/**
*  service接口实现类
*/
@Service
public class WxpayTempServiceImpl implements WxpayTempService{

    private static Logger logger = Logger.getLogger(WxpayTempServiceImpl.class);

    @Autowired
    private WxpayTempMapper wxpayTempMapper;

    @Override
    public List<WxpayTemp> getWxpayTempList(WxpayTemp record) {

        logger.info("getWxpayTempList");
        try {

        return wxpayTempMapper.queryAllWxpayTemp(record);
        } catch (Exception e) {
        logger.error("getWxpayTempList", e);
        }

        return null;
    }
    @Override
    public List<WxpayTemp> getWxpayTempByPage(Page page, WxpayTemp record) {

        logger.info("getWxpayTempByPage");
        try {

        Map<String, Object> parameter = new HashMap<String, Object>();
        parameter.put("record", record);
        parameter.put(AppConstant.PAGE, page);

        return wxpayTempMapper.queryWxpayTempByPage(parameter);
        } catch (Exception e) {
        logger.error("getWxpayTempByPage", e);
        }

        return null;
    }

    @Override
    public WxpayTemp getWxpayTempById(String id) {

        logger.info("getWxpayTempyId");
        try {

            return wxpayTempMapper.selectByPrimaryKey(Integer.valueOf(id));
        } catch (Exception e) {
        logger.error("getWxpayTempById", e);
        }

        return null;
    }

    @Override
    public WxpayTemp getWxpayTemp(WxpayTemp record) {

        logger.info("getWxpayTemp");
        try {

            return wxpayTempMapper.queryWxpayTemp(record);
        } catch (Exception e) {
        logger.error("getWxpayTemp", e);
        }

        return null;
    }

    @Override
    public boolean createWxpayTemp(WxpayTemp record) {

        logger.info("createWxpayTemp");
        try {

            int updates = wxpayTempMapper.insertSelective(record);

            if (updates > 0) {
                 return true;
            }
        } catch (Exception e) {
            logger.error("createWxpayTemp", e);
        }

        return false;
    }

    @Override
    public boolean deleteWxpayTemp(String id) {

        logger.info("deleteWxpayTemp");
        try {

             int updates = wxpayTempMapper.delete(id);

            if (updates > 0) {
                 return true;
            }
        } catch (Exception e) {
             logger.error("deleteWxpayTemp", e);
        }

        return false;
    }

    @Override
    public boolean updateWxpayTemp(WxpayTemp record) {

        logger.info("updateWxpayTemp");
        try {

            int updates = wxpayTempMapper.updateByPrimaryKeySelective(record);

            if (updates > 0) {
                 return true;
            }
        } catch (Exception e) {
             logger.error("updateWxpayTemp", e);
        }

        return false;
    }
}

